Get Locations List
Returns a list of locations and their details. The page and per request parameters determine the page(s) returned and the number of locations returned per page.
- Type: stringlocation
_id requiredUnique ID of a particular location. This is generated by Punchh. If both
location_idandstore_numberare provided,location_idwill be given priority. - Type: stringstore
_number Unique store number provided by the business. If both
location_idandstore_numberare provided,location_idwill be given priority. - Type: integerpage
Page number. If this parameter is not provided with the request, the default is to return all. If
pageis specified, only that page will be returned using the value ofperas the number of locations returned on that page. - Type: integerper
Number of locations per page. If
peris not specified, the default is 25.
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
- application/json
- application/json
- application/json
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/locations?location_id=306082&store_number=&page=1&per=25' \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE'
{
"address": "ADDRESS_GOES_HERE",
"brand": "Punchh",
"city": "Mountain View",
"country": "United States",
"external_store_id": "46ede9b5-287c-4ac5-84f4-86cb0927c96d",
"latitude": "37.406756",
"location_id": 306095,
"longitude": "-122.109125",
"name": "Punchh Test Location 1",
"online_order_url": "URL_GOES_HERE",
"phone_number": 1111111111,
"loc_email": "test@example.com",
"post_code": "94040",
"state": "California",
"store_number": "01011-00002",
"store_tags": "WiFi,DriveThru,GiftCard,Rewards",
"store_times": [
{
"day": "Mon",
"start_time": "6:30 AM",
"end_time": "11:00 PM"
},
{
"day": "Tue",
"start_time": "6:30 AM",
"end_time": "11:00 PM"
},
{
"day": "Wed",
"start_time": "6:30 AM",
"end_time": "11:00 PM"
},
{
"day": "Thu",
"start_time": "6:30 AM",
"end_time": "11:00 PM"
},
{
"day": "Fri",
"start_time": "6:30 AM",
"end_time": "11:00 PM"
},
{
"day": "Sat",
"start_time": "6:30 AM",
"end_time": "1:00 AM"
},
{
"day": "Sun",
"start_time": "6:30 AM",
"end_time": "1:00 AM"
}
],
"time_zone": "America/Los_Angeles",
"updated_at": "2016-08-04T11:06:04Z",
"status": "approved",
"franchisee_id": 1234,
"enable_weekly_redemption_report": false,
"checkin_evidenced_by": "barcode",
"guest_identity_code_type": "barcode",
"enable_pos_monitoring": true,
"generate_barcodes": true,
"location_groups": [
{
"location_group_id": 2051,
"name": "Location Group A"
},
{
"location_group_id": 2052,
"name": "Location Group B"
},
{
"location_group_id": 2053,
"name": "Location Group C"
}
],
"alternate_store_number": "UK@8907",
"multiple_redemption_on_location": true,
"additional_url": [
{
"label": "reservation",
"url": "URL_GOES_HERE"
}
]
}